Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.xml
Class ConsoleErrorHandler

    java.lang.Object
      edu.emory.mathcs.util.xml.ConsoleErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

public class ConsoleErrorHandler
extends java.lang.Object
implements org.xml.sax.ErrorHandler

SAX error handler that displays information of all encountered errors and warnings on the specified output, System.err by default.

Version:
  1.0
Author:
  Dawid Kurzyniec

Constructor Summary
`ConsoleErrorHandler(java.lang.String source)` Creates new console error handler.
`ConsoleErrorHandler(java.lang.String source, java.io.PrintStream err)` Creates new console error handler that writes to the specified output.

Method Summary
`void` | `error(org.xml.sax.SAXParseException ex)`
`void` | `fatalError(org.xml.sax.SAXParseException ex)`
`void` | `warning(org.xml.sax.SAXParseException ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleErrorHandler

    public ConsoleErrorHandler(java.lang.String source)

  Creates new console error handler.

Parameters:
  `source` - the label for parsed source file, used for error reporting.

### ConsoleErrorHandler

    public ConsoleErrorHandler(java.lang.String source,
                               java.io.PrintStream err)

  Creates new console error handler that writes to the specified output.

Parameters:
  `source` - the label for parsed source file, used for error reporting.
  `err` - the output to write to.

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException ex)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

### error

    public void error(org.xml.sax.SAXParseException ex)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD